Add OS X 10.6-10.8, Windows SSE, and Linux GTK < 3.4 deprecation rules for Thunderbird

RESOLVED FIXED

Status

enhancement
P2
normal
RESOLVED FIXED
2 years ago
10 months ago

People

(Reporter: wsmwk, Assigned: nthomas)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

2 years ago
+++ This bug was initially created as a clone of Bug #1275607 +++

We missed this for Thunderbird.  Mac 10.6.8 "Thunderbird 52" user reported at https://support.mozilla.org/t5/Thunderbird/Thunderbird-update-52-0-with-OS-10-6-8/m-p/1386556#U1386556

from Bug #1275607 
When we ship 48.0, create two rules:
** 1) Matches version < 48.0 and OS X 10.6-10.8, and points them at the Firefox 48.0 blob.
** 2) Matches version = 48.0 and OS X 10.6-10.8, and points them at the OSX-10.6-10.8-Desupport blob.

The first rule needs to be updated if we ship a point release.
Lets broaden this to include the SSE deprecation on Windows, and requirement for newer GTK3 on Linux.
Summary: add OS X 10.6-10.8 deprecation rule for Thunderbird → add OS X 10.6-10.8, SSE, and GTK < 3.4 deprecation rules for Thunderbird
Rules added, in decreasing order of priority, duplicated and adjusted from Firefox rules:

[older deprecations here]

Rule 562: Update Linux users with version < 45.8.0 to 45.8.0
Rule 563: No Update for Linux users with version < 46.0 and OS Version containing one of 'GTK 2,GTK 3.0.,GTK 3.1.,GTK 3.2.,GTK 3.3.'

Rule 564: Update Mac 10.6-10.8 users with version < 45.8.0 to 45.8.0
Rule 565: No Update for Mac 10.6-10.8 users

Rule 566: Update Windows users with version < 45.8.0 to 45.8.0
Rule 567: No update for Windows with SSE

[Main update rule here, currently 52.0 for user requests, 45.8.0 for background]
----

This is not ideal if a 45.9.0 happens, because 562, 564, and 566 should be updated to give those deprecated users the new build (the mapping and the version condition would need changing).

Ben, would you mind reviewing the rules ?

Also, Firefox has a notice it shows to each set of users, respectively
 https://www.mozilla.org/firefox/46.0/system-requirements/
 https://support.mozilla.org/kb/firefox-osx
 https://support.mozilla.org/kb/your-hardware-no-longer-supported
wsmwk, do you want to provide that to your users too ? Fairly quick for us to add once we're given URLs to use.
Flags: needinfo?(bhearsum)
Summary: add OS X 10.6-10.8, SSE, and GTK < 3.4 deprecation rules for Thunderbird → Add OS X 10.6-10.8, Windows SSE, and Linux GTK < 3.4 deprecation rules for Thunderbird
(Reporter)

Updated

2 years ago
See Also: → 1353609
(Reporter)

Comment 3

2 years ago
(In reply to Nick Thomas [:nthomas] from comment #2)
> 
> Also, Firefox has a notice it shows to each set of users, respectively
> ...
>  https://support.mozilla.org/kb/firefox-osx
>  https://support.mozilla.org/kb/your-hardware-no-longer-supported
> wsmwk, do you want to provide that to your users too ? Fairly quick for us
> to add once we're given URLs to use.

How are the URL communicated to users who are attemptingto update?
Flags: needinfo?(nthomas)
See Also: → 1351429
https://bugzilla.mozilla.org/show_bug.cgi?id=1319167#c13 has some details about that. The URL is used for the 'learn more' link.
Flags: needinfo?(nthomas)
(Reporter)

Updated

2 years ago
See Also: → 1353622

Comment 5

2 years ago
(In reply to Wayne Mery (:wsmwk, NI for questions) from comment #3)
> (In reply to Nick Thomas [:nthomas] from comment #2)
> > 
> > Also, Firefox has a notice it shows to each set of users, respectively
> > ...
> >  https://support.mozilla.org/kb/firefox-osx
> >  https://support.mozilla.org/kb/your-hardware-no-longer-supported
> > wsmwk, do you want to provide that to your users too ? Fairly quick for us
> > to add once we're given URLs to use.
> 
> How are the URL communicated to users who are attemptingto update?

URL's 
https://www.mozilla.org/en-US/thunderbird/52.0/system-requirements/
https://support.mozilla.org/t5/Install-Migrate-and-Update/Thunderbird-support-has-ended-for-Mac-OS-versions-10-6-10-7-and/ta-p/1386590
https://support.mozilla.org/t5/Install-Migrate-and-Update/Your-hardware-is-no-longer-supported-by-Thunderbird/ta-p/1386599
(In reply to Nick Thomas [:nthomas] from comment #2)
> Rules added, in decreasing order of priority, duplicated and adjusted from
> Firefox rules:
> 
> [older deprecations here]
> 
> Rule 562: Update Linux users with version < 45.8.0 to 45.8.0
> Rule 563: No Update for Linux users with version < 46.0 and OS Version
> containing one of 'GTK 2,GTK 3.0.,GTK 3.1.,GTK 3.2.,GTK 3.3.'
> 
> Rule 564: Update Mac 10.6-10.8 users with version < 45.8.0 to 45.8.0
> Rule 565: No Update for Mac 10.6-10.8 users
> 
> Rule 566: Update Windows users with version < 45.8.0 to 45.8.0
> Rule 567: No update for Windows with SSE
> 
> [Main update rule here, currently 52.0 for user requests, 45.8.0 for
> background]
> ----
> 
> This is not ideal if a 45.9.0 happens, because 562, 564, and 566 should be
> updated to give those deprecated users the new build (the mapping and the
> version condition would need changing).
> 
> Ben, would you mind reviewing the rules ?

They look right to me. I wonder if we should collapse 562, 564, and 566 into one rule though, since they all end up with the same mapping? Maybe it's best not to, to ensure we can more easily compare to the Firefox ones.
Flags: needinfo?(bhearsum)
(Reporter)

Comment 7

2 years ago
so this is in production?
Flags: needinfo?(nthomas)
(In reply to Wayne Mery (:wsmwk, NI for questions) from comment #7)
> so this is in production?

Yep.
Flags: needinfo?(nthomas)
(In reply to Ben Hearsum (:bhearsum) from comment #6)
> They look right to me. I wonder if we should collapse 562, 564, and 566 into
> one rule though, since they all end up with the same mapping? Maybe it's
> best not to, to ensure we can more easily compare to the Firefox ones.

Had wondered about that too, and since the only group not going to 45.<latest> is modern mac I went ahead with collapsing to one. So 562 got the Linux restriction removed, and 564 and 566 were removed.

I've added three desupport releases and pointed rules 563/565/567 at them.

wsmwk, https://support.mozilla.org/t5/Install-Migrate-and-Update/Your-hardware-is-no-longer-supported-by-Thunderbird/ta-p/1386599 seems to have content for Linux, but nothing for Windows or Mac. Windows requires SSE for 49, and Mac we only support Intel CPUs and Apple's always shipped SSE capable ones.
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → FIXED
(Reporter)

Comment 10

2 years ago
(In reply to Nick Thomas [:nthomas] from comment #9)
> ...
> wsmwk,
> https://support.mozilla.org/t5/Install-Migrate-and-Update/Your-hardware-is-
> no-longer-supported-by-Thunderbird/ta-p/1386599 seems to have content for
> Linux, but nothing for Windows or Mac. Windows requires SSE for 49, and Mac
> we only support Intel CPUs and Apple's always shipped SSE capable ones.

Thanks for ponting that out. I don't see why. I've asked in #sumo. And perhaps Matt will know why
Flags: needinfo?(unicorn.consulting)
I flipped the rule for SSE (id 567) back to No-Update since we'll be prompting people now and the content isn't available at the 'learn more' link.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Assignee: nobody → nthomas
(Reporter)

Updated

2 years ago
Depends on: 1354505

Updated

2 years ago
Priority: -- → P1
(Reporter)

Comment 12

2 years ago
Just FYI, I'm in the process of editting the stinking kb article. But don't wait on me. :)
Status - waiting to turn the de-support notice back on for SSE, blocked on bug 1354505.
(Reporter)

Comment 15

2 years ago
Please land asap
Flags: needinfo?(unicorn.consulting)
(Reporter)

Comment 16

2 years ago
I was looking at crash statistics for TB52 Mac topcrashes, and made the mistake of using last 7 days and last 14 days, which overlapped the period where the rules from this bug were not in place.  Then I looked at this bug and panicked because not marked fixed.

With https://crash-stats.mozilla.com/topcrashers/?product=Thunderbird&version=52.0&days=3 I found only one 10.8.x user installed in crashed in the last 3 days. https://crash-stats.mozilla.com/report/index/f9412081-fbea-4166-ae21-b94d42170415

In the two days after comment 14 checkin, April 13-15, there were 6 crashes for an estimated 5 users. and their install dates are April 13-15, not prior.    https://crash-stats.mozilla.com/search/?platform_version=%5E10.8&product=Thunderbird&version=52.0.1&version=52.0&version=52.0b4&version=53.0b1&version=54.0a2&version=55.0a1&platform=Mac%20OS%20X&date=%3E%3D2017-04-13T15%3A38%3A00.000Z&date=%3C2017-04-15T15%3A38%3A00.000Z&_sort=platform_version&_sort=-date&_facets=signature&_columns=date&_columns=version&_columns=platform_version&_columns=user_comments&_columns=install_time#crash-reports

bp-008d1828-f3ce-4603-a459-f73c72170415 for example installed on 04-15
(In reply to Nick Thomas [:nthomas] from comment #11)
> I flipped the rule for SSE (id 567) back to No-Update since we'll be
> prompting people now and the content isn't available at the 'learn more'
> link.

On April 18 it was changed to TB-SSE-Desupport, which doesn't have a detailsUrl set. Most probably Thunderbird was showing a dialog to users with a non-functional link for the last 12 days, and that's used our single chance to give a desupport notice. I've reverted to No-Update again in the hopes that SUMO will get sorted out and we'll have a link we can put in for posterity's sake. Removed TB-SSE-Desupport to avoid a repeat.

Updated

2 years ago
No longer depends on: 1354505

Comment 18

2 years ago
In case it's still needed, this Thunderbird article is now available on SUMO:
https://support.mozilla.org/en-US/kb/your-hardware-no-longer-supported-tb
(In reply to Alice Wyman from comment #18)
> In case it's still needed, this Thunderbird article is now available on SUMO:
> https://support.mozilla.org/en-US/kb/your-hardware-no-longer-supported-tb

Re-added TB-SSE-Desupport using this, which must have been removed by the db cleanup script. Mapped rule id 567 to that. 

Do we have a replacement for the 404ing https://support.mozilla.org/t5/Install-Migrate-and-Update/Thunderbird-support-has-ended-for-Mac-OS-versions-10-6-10-7-and/ta-p/1386590 for OSX desupport ?

Comment 20

2 years ago
(In reply to Nick Thomas [:nthomas] from comment #19)
> 
> Do we have a replacement for the 404ing
> https://support.mozilla.org/t5/Install-Migrate-and-Update/Thunderbird-support-has-ended-for-Mac-OS-versions-10-6-10-7-and/ta-p/1386590
> for OSX desupport ?

Content for the article "Thunderbird support has ended for Mac OS versions 10.6, 10.7 and 10.8" can be viewed here on Lithium's site: 
https://hwsfp35778.lithium.com/t5/Install-Migrate-and-Update/Thunderbird-support-has-ended-for-Mac-OS-versions-10-6-10-7-and/ta-p/1386590

As far as I can tell, that article wasn't recreated when SUMO switched back to the Kitsune platform.  Wayne, can you (or another Thunderbird contributor) create a new SUMO article based on that content and/or file a Knowledge Base Content bug under the support.mozilla.org product?
Flags: needinfo?(vseerror)
Priority: P1 → P2
(Reporter)

Comment 21

2 years ago
Tonnes, can you do comment 20 or ask someone on support crew to do it?
Flags: needinfo?(vseerror) → needinfo?(tonnes.mb)

Comment 22

2 years ago
(In reply to Wayne Mery (:wsmwk, NI for questions) from comment #21)

I have it under the Enter button but can’t reach anyone on IRC today who’s able to reply to 2 questions (even though their answers may seem to be obvious):
- Is the current text in the Lithium copy right with regard to "any further updates _or security fixes_"?
- Shouldn’t we point to 45.8.0 rather than 45.7.1 or is there some reason not to (as that copy was created after 45.8.0 release)?
Flags: needinfo?(tonnes.mb)

Comment 23

2 years ago
(In reply to Nick Thomas [:nthomas] from comment #19)
> 
> Do we have a replacement for the 404ing
> https://support.mozilla.org/t5/Install-Migrate-and-Update/Thunderbird-
> support-has-ended-for-Mac-OS-versions-10-6-10-7-and/ta-p/1386590 for OSX
> desupport ?

It is available for review at https://support.mozilla.org/en-US/kb/thunderbird-osx/history with small edits. Any changes needed?
Bulk change of QA Contact to :jlund, per https://bugzilla.mozilla.org/show_bug.cgi?id=1428483
QA Contact: rail → jlund
Sorry for the delay here. I've staged the change to the TB-OSX-10.6-10.8-Desupport release in Balrog to start using the url in comment #23, and it needs a tb-relman signoff to go live. See https://aus4-admin.mozilla.org/releases/scheduled_changes
Flags: needinfo?(vseerror)
(Reporter)

Comment 26

10 months ago
Thanks. Signed-off
Flags: needinfo?(vseerror)
Status: REOPENED → RESOLVED
Last Resolved: 2 years ago10 months ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.